DEX
---

Utilities
*********

.. doxygenfunction:: LIEF::DEX::is_dex(const std::string&)
  :project: lief

.. doxygenfunction:: LIEF::DEX::is_dex(const std::vector<uint8_t>&)
  :project: lief

.. doxygenfunction:: LIEF::DEX::version(const std::string&)
  :project: lief

.. doxygenfunction:: LIEF::DEX::version(const std::vector<uint8_t>&)
  :project: lief


----------

Parser
*******

.. doxygenclass:: LIEF::DEX::Parser
   :project: lief

----------


File
****

.. doxygenclass:: LIEF::DEX::File
   :project: lief

----------

Header
******

.. doxygenclass:: LIEF::DEX::Header
   :project: lief

----------

Method
******

.. doxygenclass:: LIEF::DEX::Method
   :project: lief

----------

Class
*****

.. doxygenclass:: LIEF::DEX::Class
   :project: lief

----------


Code Info
*********

.. doxygenclass:: LIEF::DEX::CodeInfo
   :project: lief

----------

Prototype
*********

.. doxygenclass:: LIEF::DEX::Prototype
   :project: lief

----------

Type
****

.. doxygenclass:: LIEF::DEX::Type
   :project: lief

----------

MapList
*******

.. doxygenclass:: LIEF::DEX::MapList
   :project: lief


----------

MapItem
*******

.. doxygenclass:: LIEF::DEX::MapItem
   :project: lief








